com.genesyslab.wfm8.API.service.schedule810

## Class SchStateGroupCoverage

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule810.SchStateGroupCoverage

- All Implemented Interfaces:
    java.io.Serializable

      public class SchStateGroupCoverage
      extends java.lang.Object
      implements java.io.Serializable

  Schedule State Group Coverage (total scheduled minutes per time step)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Double>` | `coverage`
    `protected int` | `coverageNSizeIs`
    `private static long` | `serialVersionUID`
    `protected int` | `wmStateGroupId`
    `protected int` | `wmStateGroupType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchStateGroupCoverage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Double>` | `getCoverage()` Gets the value of the coverage property.
    `int` | `getCoverageNSizeIs()` Gets the value of the coverageNSizeIs property.
    `int` | `getWmStateGroupId()` Gets the value of the wmStateGroupId property.
    `int` | `getWmStateGroupType()` Gets the value of the wmStateGroupType property.
    `int` | `hashCode()`
    `void` | `setCoverage(java.util.List<java.lang.Double> coverage)` Sets the value of the coverage property.
    `void` | `setCoverageNSizeIs(int value)` Sets the value of the coverageNSizeIs property.
    `void` | `setWmStateGroupId(int value)` Sets the value of the wmStateGroupId property.
    `void` | `setWmStateGroupType(int value)` Sets the value of the wmStateGroupType property.
    `java.lang.String` | `toString()`
    `SchStateGroupCoverage` | `withCoverage(java.util.Collection<java.lang.Double> values)`
    `SchStateGroupCoverage` | `withCoverage(java.lang.Double... values)`
    `SchStateGroupCoverage` | `withCoverageNSizeIs(int value)`
    `SchStateGroupCoverage` | `withWmStateGroupId(int value)`
    `SchStateGroupCoverage` | `withWmStateGroupType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateGroupType

          protected int wmStateGroupType

    - #### wmStateGroupId

          protected int wmStateGroupId

    - #### coverageNSizeIs

          protected int coverageNSizeIs

    - #### coverage

          protected java.util.List<java.lang.Double> coverage

  - ### Constructor Detail

    - #### SchStateGroupCoverage

          public SchStateGroupCoverage()

  - ### Method Detail

    - #### getWmStateGroupType

          public int getWmStateGroupType()

      Gets the value of the wmStateGroupType property.

    - #### setWmStateGroupType

          public void setWmStateGroupType(int value)

      Sets the value of the wmStateGroupType property.

    - #### getWmStateGroupId

          public int getWmStateGroupId()

      Gets the value of the wmStateGroupId property.

    - #### setWmStateGroupId

          public void setWmStateGroupId(int value)

      Sets the value of the wmStateGroupId property.

    - #### getCoverageNSizeIs

          public int getCoverageNSizeIs()

      Gets the value of the coverageNSizeIs property.

    - #### setCoverageNSizeIs

          public void setCoverageNSizeIs(int value)

      Sets the value of the coverageNSizeIs property.

    - #### getCoverage

          public java.util.List<java.lang.Double> getCoverage()

      Gets the value of the coverage property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the coverage property.

      For example, to add a new item, do as follows:

              getCoverage().add(newItem);

      Objects of the following type(s) are allowed in the list `Double`

    - #### withWmStateGroupType

          public SchStateGroupCoverage withWmStateGroupType(int value)

    - #### withWmStateGroupId

          public SchStateGroupCoverage withWmStateGroupId(int value)

    - #### withCoverageNSizeIs

          public SchStateGroupCoverage withCoverageNSizeIs(int value)

    - #### withCoverage

          public SchStateGroupCoverage withCoverage(java.lang.Double... values)

    - #### withCoverage

          public SchStateGroupCoverage withCoverage(java.util.Collection<java.lang.Double> values)

    - #### setCoverage

          public void setCoverage(java.util.List<java.lang.Double> coverage)

      Sets the value of the coverage property.
      Parameters:
        `coverage` - allowed object is `Double`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.